apt 3.1.11 commandline package manager

Public Member Functions | Public Attributes | List of all members
PatternTreeParser::PatternNode Struct Reference
Inheritance diagram for PatternTreeParser::PatternNode:

## Public Member Functions
APT_HIDDEN std::ostream & | render (std::ostream &stream) override
APT_HIDDEN bool | matches (std::string_view name, int min, int max)
Public Member Functions inherited from PatternTreeParser::Node
| Node (size_t start=0, size_t end=0)
std::nullptr_t | error (std::string message)

## Public Attributes
std::string_view | term
std::vector< std::unique_ptr< Node > > | arguments
bool | haveArgumentList = false
Public Attributes inherited from PatternTreeParser::Node
size_t | start = 0
size_t | end = 0

## Member Function Documentation

## ◆ render()

std::ostream & render | ( | std::ostream & | stream | ) |
| override virtual

Reimplemented from PatternTreeParser::Node.

The documentation for this struct was generated from the following files:

- apt-pkg/cachefilter-patterns.h
- apt-pkg/cachefilter-patterns.cc